Package org.kapott.hbci.sepa.jaxb.camt_052_001_07

# Enum UnitOfMeasure1Code

java.lang.Object
java.lang.Enum<UnitOfMeasure1Code>
org.kapott.hbci.sepa.jaxb.camt_052_001_07.UnitOfMeasure1Code

All Implemented Interfaces:
  `Serializable`, `Comparable<UnitOfMeasure1Code>`, `java.lang.constant.Constable`

public enum UnitOfMeasure1Code extends Enum<UnitOfMeasure1Code>

Java class for UnitOfMeasure1Code.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="UnitOfMeasure1Code">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="PIEC"/>
         <enumeration value="TONS"/>
         <enumeration value="FOOT"/>
         <enumeration value="GBGA"/>
         <enumeration value="USGA"/>
         <enumeration value="GRAM"/>
         <enumeration value="INCH"/>
         <enumeration value="KILO"/>
         <enumeration value="PUND"/>
         <enumeration value="METR"/>
         <enumeration value="CMET"/>
         <enumeration value="MMET"/>
         <enumeration value="LITR"/>
         <enumeration value="CELI"/>
         <enumeration value="MILI"/>
         <enumeration value="GBOU"/>
         <enumeration value="USOU"/>
         <enumeration value="GBQA"/>
         <enumeration value="USQA"/>
         <enumeration value="GBPI"/>
         <enumeration value="USPI"/>
         <enumeration value="MILE"/>
         <enumeration value="KMET"/>
         <enumeration value="YARD"/>
         <enumeration value="SQKI"/>
         <enumeration value="HECT"/>
         <enumeration value="ARES"/>
         <enumeration value="SMET"/>
         <enumeration value="SCMT"/>
         <enumeration value="SMIL"/>
         <enumeration value="SQMI"/>
         <enumeration value="SQYA"/>
         <enumeration value="SQFO"/>
         <enumeration value="SQIN"/>
         <enumeration value="ACRE"/>
       </restriction>
     </simpleType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ACRE`
`ARES`
`CELI`
`CMET`
`FOOT`
`GBGA`
`GBOU`
`GBPI`
`GBQA`
`GRAM`
`HECT`
`INCH`
`KILO`
`KMET`
`LITR`
`METR`
`MILE`
`MILI`
`MMET`
`PIEC`
`PUND`
`SCMT`
`SMET`
`SMIL`
`SQFO`
`SQIN`
`SQKI`
`SQMI`
`SQYA`
`TONS`
`USGA`
`USOU`
`USPI`
`USQA`
`YARD`

## Method Summary

Modifier and Type
Method
Description
`static UnitOfMeasure1Code`
`fromValue(String v)`
`String`
`value()`
`static UnitOfMeasure1Code`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static UnitOfMeasure1Code[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PIEC

public static final UnitOfMeasure1Code PIEC

### TONS

public static final UnitOfMeasure1Code TONS

### FOOT

public static final UnitOfMeasure1Code FOOT

### GBGA

public static final UnitOfMeasure1Code GBGA

### USGA

public static final UnitOfMeasure1Code USGA

### GRAM

public static final UnitOfMeasure1Code GRAM

### INCH

public static final UnitOfMeasure1Code INCH

### KILO

public static final UnitOfMeasure1Code KILO

### PUND

public static final UnitOfMeasure1Code PUND

### METR

public static final UnitOfMeasure1Code METR

### CMET

public static final UnitOfMeasure1Code CMET

### MMET

public static final UnitOfMeasure1Code MMET

### LITR

public static final UnitOfMeasure1Code LITR

### CELI

public static final UnitOfMeasure1Code CELI

### MILI

public static final UnitOfMeasure1Code MILI

### GBOU

public static final UnitOfMeasure1Code GBOU

### USOU

public static final UnitOfMeasure1Code USOU

### GBQA

public static final UnitOfMeasure1Code GBQA

### USQA

public static final UnitOfMeasure1Code USQA

### GBPI

public static final UnitOfMeasure1Code GBPI

### USPI

public static final UnitOfMeasure1Code USPI

### MILE

public static final UnitOfMeasure1Code MILE

### KMET

public static final UnitOfMeasure1Code KMET

### YARD

public static final UnitOfMeasure1Code YARD

### SQKI

public static final UnitOfMeasure1Code SQKI

### HECT

public static final UnitOfMeasure1Code HECT

### ARES

public static final UnitOfMeasure1Code ARES

### SMET

public static final UnitOfMeasure1Code SMET

### SCMT

public static final UnitOfMeasure1Code SCMT

### SMIL

public static final UnitOfMeasure1Code SMIL

### SQMI

public static final UnitOfMeasure1Code SQMI

### SQYA

public static final UnitOfMeasure1Code SQYA

### SQFO

public static final UnitOfMeasure1Code SQFO

### SQIN

public static final UnitOfMeasure1Code SQIN

### ACRE

public static final UnitOfMeasure1Code ACRE

## Method Details

### values

public static UnitOfMeasure1Code[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static UnitOfMeasure1Code valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### value

public String value()

### fromValue

public static UnitOfMeasure1Code fromValue(String v)